Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.lib.meta
Interface SourceTracker

All Known Implementing Classes:
  ClassMapping, ClassMappingInfo, ClassMetaData, NonPersistentMetaData, PersistenceUnitInfoImpl, QueryMetaData, QueryResultMapping, Sequence, SequenceMapping, SequenceMetaData, Table

    public interface SourceTracker

Interface that can optionally be implemented by metadata to include the source file from which the metadata was originally parsed.

Author:
  Abe White

Field Summary
`static int` | `SRC_ANNOTATIONS`
`static int` | `SRC_OTHER`
`static int` | `SRC_XML`

Method Summary
`int` | `getColNumber()` Return the column number in the line of the file at which this instance was parsed.
`int` | `getLineNumber()` Return the line number of the file at which this instance was parsed.
`String` | `getResourceName()` Return the domain-meaningful name of the resource that was loaded from this source.
`File` | `getSourceFile()` Return the file from which this instance was parsed.
`Object` | `getSourceScope()` Return the domain-dependent scope of this instance within its file.
`int` | `getSourceType()` Return the type of source.

Field Detail

### SRC_OTHER

    static final int SRC_OTHER

See Also:
  Constant Field Values

### SRC_ANNOTATIONS

    static final int SRC_ANNOTATIONS

See Also:
  Constant Field Values

### SRC_XML

    static final int SRC_XML

See Also:
  Constant Field Values

Method Detail

### getSourceFile

    File getSourceFile()

  Return the file from which this instance was parsed.

### getSourceScope

    Object getSourceScope()

  Return the domain-dependent scope of this instance within its file.

### getSourceType

    int getSourceType()

  Return the type of source.

### getResourceName

    String getResourceName()

  Return the domain-meaningful name of the resource that was loaded from this source. I.e., if we had loaded the source for a Java class, this would return the name of the class.

### getLineNumber

    int getLineNumber()

  Return the line number of the file at which this instance was parsed.

### getColNumber

    int getColNumber()

  Return the column number in the line of the file at which this instance was parsed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.